Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-2433

Add deprecation warnings for old command versions

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: PDB 3.2.4
    • Fix Version/s: PDB 3.2.5, PDB 4.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      1
    • Sprint:
      PuppetDB 2016-03-09

      Description

      We need to put back the deprecation messages for old command versions in master and stable.

      This was removed when we retired the old commands, but we put them back and never reverted the deprecation warnings.

      Here is the old code that performed this:

      https://github.com/puppetlabs/puppetdb/blob/2.3.x/src/com/puppetlabs/puppetdb/command.clj#L323

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              andrew.roetker AJ Roetker
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support